/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\ShardTrasher.cs
Lines of code: 64
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class  ShardThrasherRecipe : BaseRecipe
	{
	
		[Constructable]
		public ShardThrasherRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(ShardThrasher); } }
		public override string artyname { get { return "Shard Thrasher"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Blacksmith,70));
		
		//add required resources
		
		CommonResources.Add(new ReqRes("Ingot",typeof(IronIngot),20));
		
		RareResources.Add(new ReqRes("Eye of the Travesty",typeof(EyeOfTheTravesty),1));		
		RareResources.Add(new ReqRes("Corruption",typeof(Corruption),10));		
		RareResources.Add(new ReqRes("Muculent",typeof(Muculent),10));		
		}	

			
	
		public ShardThrasherRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	public class ShardThrasher : DiamondMace
	{
		public override int LabelNumber{ get{ return 1072918; } } // Shard Thrasher

		[Constructable]
		public ShardThrasher()
		{
			Hue = 0x4F2;

			WeaponAttributes.HitPhysicalArea = 30;
			Attributes.BonusStam = 8;
			Attributes.AttackChance = 10;
			Attributes.WeaponSpeed = 35;
			Attributes.WeaponDamage = 40;
		}

		public ShardThrasher( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}